Extending Qt Creator Manual | TextRange

Extending Qt Creator Manual 4.7.1

# TextRange Class

(Core::Search::TextRange)

- List of all members, including inherited members

## Public Functions

| TextRange()
| TextRange(Core::Search::TextPosition begin, Core::Search::TextPosition end)
int | endLineOffsetDifference() const
int | length() const
int | mid(const int &) const

## Member Function Documentation

### TextRange::TextRange()

Default constructs an instance of TextRange.

### TextRange::TextRange(Core::Search::TextPosition begin, Core::Search::TextPosition end)

Default constructs an instance of TextRange.

### int TextRange::endLineOffsetDifference() const

### int TextRange::length() const

### int TextRange::mid(const int &) const